org.keycloak.services.managers

## Class DefaultBruteForceProtector.LoginEvent

- java.lang.Object
- - org.keycloak.services.managers.DefaultBruteForceProtector.LoginEvent

- All Implemented Interfaces:
    Comparable<DefaultBruteForceProtector.LoginEvent>
  Direct Known Subclasses:
    DefaultBruteForceProtector.FailedLogin, DefaultBruteForceProtector.ShutdownEvent, DefaultBruteForceProtector.SuccessfulLogin
  Enclosing class:
    DefaultBruteForceProtector

      protected abstract class DefaultBruteForceProtector.LoginEvent
      extends Object
      implements Comparable<DefaultBruteForceProtector.LoginEvent>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `ip`
    `protected String` | `realmId`
    `protected String` | `userId`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LoginEvent(String realmId, String userId, String ip)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DefaultBruteForceProtector.LoginEvent o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realmId

          protected final String realmId

    - #### userId

          protected final String userId

    - #### ip

          protected final String ip

  - ### Constructor Detail

    - #### LoginEvent

          protected LoginEvent(String realmId,
                               String userId,
                               String ip)

  - ### Method Detail

    - #### compareTo

          public int compareTo(DefaultBruteForceProtector.LoginEvent o)

      Specified by:
        `compareTo` in interface `Comparable<DefaultBruteForceProtector.LoginEvent>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.